分页: 1 / 1

我想问问各位前辈,开源驱动UVD vdpau CPU占用率很低吗?

发表于 : 2014-02-13 14:59
天羽美羽
为啥,我这边用vdpau, CPU占用率怎么就那么高呢? 不清楚啊,不清楚啊,不清楚啊! :em20
好纠结。 开源驱动虽说解码能力多了不少,但是怎么感觉和catalyst的vaapi比起来,差好多啊! :em06
错觉么,哪里弄错了,求前辈指导个方向 :em03

Re: 我想问问各位前辈,开源驱动UVD vdpau CPU占用率很低吗?

发表于 : 2014-02-13 15:03
poloshiao
這裏有許多 UVD 的最新測試報告
http://www.phoronix.com/scan.php?page=search&q=UVD

Re: 我想问问各位前辈,开源驱动UVD vdpau CPU占用率很低吗?

发表于 : 2014-02-13 16:29
天羽美羽
poloshiao 写了:這裏有許多 UVD 的最新測試報告
http://www.phoronix.com/scan.php?page=search&q=UVD
:em06 我自己尝试性的尝试一下开源驱动UVD 在网上已经确认我的A卡可支持UVD,但是vdpau在我的机子上,vdpau解码能力没全出来,貌似缺了两个, cpu占用率比之前用catalyst的vaapi的高出好多。

Decoder capabilities:

name level macbs width height
-------------------------------------------
MPEG1 0 9216 2048 1152
MPEG2_SIMPLE 3 9216 2048 1152
MPEG2_MAIN 3 9216 2048 1152
H264_BASELINE 41 9216 2048 1152
H264_MAIN 41 9216 2048 1152
H264_HIGH 41 9216 2048 1152
VC1_ADVANCED 4 9216 2048 1152
MPEG4_PART2_SP 3 9216 2048 1152
MPEG4_PART2_ASP 5 9216 2048 1152

后面还出现错误讯息Inconsistency detected by ld.so什么的 :em20

Re: 我想问问各位前辈,开源驱动UVD vdpau CPU占用率很低吗?

发表于 : 2014-02-13 17:39
poloshiao
看看這一篇 能否幫你
How-To Use Open-Source Radeon UVD On Ubuntu
http://www.phoronix.com/scan.php?page=n ... px=MTM1NDk
注意 是開源驅動 Radeon 不是閉源驅動 catalyst

另外 Linux kernel 3.10 以後才支援 UVD
所以必須是 Ubuntu 13.10 以上的版本

如果是 Ubuntu 12.04 以後的版本 必須安裝 LTSEnablementStack 的
linux-generic-lts-saucy xserver-xorg-lts-saucy 套件
參考
viewtopic.php?p=3059955#p3059955
viewtopic.php?p=3060948#p3060948

Re: 我想问问各位前辈,开源驱动UVD vdpau CPU占用率很低吗?

发表于 : 2014-02-13 19:18
天羽美羽
poloshiao 写了:看看這一篇 能否幫你
How-To Use Open-Source Radeon UVD On Ubuntu
http://www.phoronix.com/scan.php?page=n ... px=MTM1NDk
注意 是開源驅動 Radeon 不是閉源驅動 catalyst

另外 Linux kernel 3.10 以後才支援 UVD
所以必須是 Ubuntu 13.10 以上的版本

如果是 Ubuntu 12.04 以後的版本 必須安裝 LTSEnablementStack 的
linux-generic-lts-saucy xserver-xorg-lts-saucy 套件
參考
viewtopic.php?p=3059955#p3059955
viewtopic.php?p=3060948#p3060948
先谢谢前辈了。 :em01
http://www.phoronix.com/scan.php?page=n ... px=MTM1NDk
其实这篇文章我在网上爬文的时候有发现过,只是有些地方不大明白。 :em06
kernel 3.12的版本是否也需要drm-next的版本,还是说从3.12开始内核直接支援UVD?不用patch吗?
这个更改Add an entry in /etc/ld.so.conf.d/z.conf for /usr/local/lib/vdpau followed by running ldconfig.
ldconfig这边的作用是什么?是必要步骤吗?
表述错误之处,请多多见谅。

Re: 我想问问各位前辈,开源驱动UVD vdpau CPU占用率很低吗?

发表于 : 2014-02-13 20:30
poloshiao
kernel 3.12的版本是否也需要drm-next的版本,还是说从3.12开始内核直接支援UVD?3.12开始内核直接支援UVD?不用patch吗?
上面說的是 Linux Kernel 3.10
你這裏的 3.12 不知是不是 筆誤 還是有其它含義

從這句話
Aside from needing the newer kernel, there's also user-space bits that need to be updated.
意思是 除了 新核心以外 user-space 也需要 更新

以下就是該篇文章舉例的啓動支援 UVD 的方法 適用於 Radeon HD 4000 或更新的顯卡型號
- Install the VDPAU header files: sudo apt-get install libvdpau-dev.
- Rebuild Mesa against the latest mainline Git master code using the following configure arguments: --with-gallium-drivers=r600 --enable-vdpau.
- Add an entry in /etc/ld.so.conf.d/z.conf for /usr/local/lib/vdpau followed by running ldconfig.
- Install the latest drm-next kernel offered on this web-page (until Linux 3.10 kernel test releases begin appearing).
- Install the UVD firmware for your particular hardware (if unsure, it's safe as well to just download all of the firmware files) and then drop them in /lib/firmware. The updated microcode files for the Radeon GPUs are available from this directory.
- Reboot the system.
- Launch a VDPAU-enabled video player.
其中步驟就包含從
http://kernel.ubuntu.com/~kernel-ppa/ma ... 18-raring/
下載 drm-next kernel 核心

下面還有 16 篇評論文章 你也可以看看
ldconfig这边的作用是什么?
參見
http://manpages.ubuntu.com/manpages/sau ... fig.8.html
ldconfig - configure dynamic linker run-time bindings
DESCRIPTION
ldconfig creates the necessary links and cache to the most recent
shared libraries found in the directories specified on the command
line, in the file /etc/ld.so.conf, and in the trusted directories (/lib
and /usr/lib). ... 以下省略 請自行參閱

Re: 我想问问各位前辈,开源驱动UVD vdpau CPU占用率很低吗?

发表于 : 2014-05-22 12:15
intetnet
mark

Re: 我想问问各位前辈,开源驱动UVD vdpau CPU占用率很低吗?

发表于 : 2014-06-18 20:33
天羽美羽
poloshiao 写了:
kernel 3.12的版本是否也需要drm-next的版本,还是说从3.12开始内核直接支援UVD?3.12开始内核直接支援UVD?不用patch吗?
上面說的是 Linux Kernel 3.10
你這裏的 3.12 不知是不是 筆誤 還是有其它含義

從這句話
Aside from needing the newer kernel, there's also user-space bits that need to be updated.
意思是 除了 新核心以外 user-space 也需要 更新

以下就是該篇文章舉例的啓動支援 UVD 的方法 適用於 Radeon HD 4000 或更新的顯卡型號
- Install the VDPAU header files: sudo apt-get install libvdpau-dev.
- Rebuild Mesa against the latest mainline Git master code using the following configure arguments: --with-gallium-drivers=r600 --enable-vdpau.
- Add an entry in /etc/ld.so.conf.d/z.conf for /usr/local/lib/vdpau followed by running ldconfig.
- Install the latest drm-next kernel offered on this web-page (until Linux 3.10 kernel test releases begin appearing).
- Install the UVD firmware for your particular hardware (if unsure, it's safe as well to just download all of the firmware files) and then drop them in /lib/firmware. The updated microcode files for the Radeon GPUs are available from this directory.
- Reboot the system.
- Launch a VDPAU-enabled video player.
其中步驟就包含從
http://kernel.ubuntu.com/~kernel-ppa/ma ... 18-raring/
下載 drm-next kernel 核心

下面還有 16 篇評論文章 你也可以看看
ldconfig这边的作用是什么?
參見
http://manpages.ubuntu.com/manpages/sau ... fig.8.html
ldconfig - configure dynamic linker run-time bindings
DESCRIPTION
ldconfig creates the necessary links and cache to the most recent
shared libraries found in the directories specified on the command
line, in the file /etc/ld.so.conf, and in the trusted directories (/lib
and /usr/lib). ... 以下省略 請自行參閱
之后是尝试了一下开源驱动,平常不玩游戏,浏览浏览网页还好,视频硬件解码格式开源驱动支持倒是挺多的,没多大问题。 :em11
但是一开启游戏,开源驱动有点吃不消,最后还是切回proprietary driver,
毕竟对于我这种要么一星期不玩游戏,要么玩几个小时的节奏,还是用回catalyst吧。 :em09